set default="1"

function load_video {
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod all_video
}

load_video
insmod gfxterm
set gfxmode=auto
set gfxpayload=keep
set lang=ru_RU
terminal_output gfxterm
loadfont unicode
insmod gzio
insmod part_gpt
insmod ext2

set timeout=60
### END /etc/grub.d/00_header ###

search --no-floppy --set=root -l 'MSVSphere-8-10-AppStream-x86_64'

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Установить МСВСфера 8.10' --class fedora --class gnu-linux --class gnu --class os {
	linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=MSVSphere-8-10-AppStream-x86_64 inst.geoloc=0 inst.lang=ru_RU.UTF-8 quiet
	initrdefi /images/pxeboot/initrd.img
}
menuentry 'Проверить носитель и установить МСВСфера 8.10' --class fedora --class gnu-linux --class gnu --class os {
	linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=MSVSphere-8-10-AppStream-x86_64 inst.geoloc=0 inst.lang=ru_RU.UTF-8 rd.live.check quiet
	initrdefi /images/pxeboot/initrd.img
}
submenu 'Устранение неполадок -->' {
       menuentry 'Установить МСВСфера 8.10 (базовая графика)' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=MSVSphere-8-10-AppStream-x86_64 inst.geoloc=0 inst.lang=ru_RU.UTF-8 nomodeset quiet
		initrdefi /images/pxeboot/initrd.img
	}
        menuentry 'Восстановление установленной системы' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=MSVSphere-8-10-AppStream-x86_64 inst.geoloc=0 inst.lang=ru_RU.UTF-8 inst.rescue quiet
		initrdefi /images/pxeboot/initrd.img
	}
}
